## nipype 1.9.2

=== Makefile ===
# Makefile for building distributions of nipype.
# Files are then pushed to sourceforge using rsync with a command like this:
# rsync -e ssh nipype-0.1-py2.5.egg cburns,nipy@frs.sourceforge.net:/home/frs/project/n/ni/nipy/nipype/nipype-0.1/

PYTHON ?= python

.PHONY: zipdoc sdist egg upload_to_pypi trailing-spaces clean-pyc clean-so clean-build clean-ctags clean in inplace test-code test-coverage test html specs check-before-commit check gen-base-dockerfile gen-main-dockerfile gen-dockerfiles

zipdoc: html
	zip documentation.zip doc/_build/html

.git-blame-ignore-revs: .git/HEAD
	git log --grep "\[ignore-rev\]\|STY: black\|run black" -i --pretty=format:"# %ad - %ae - %s%n%H" > .git-blame-ignore-revs
	echo >> .git-blame-ignore-revs

sdist: zipdoc
	@echo "Building source distribution..."
	$(PYTHON) setup.py sdist
	@echo "Done building source distribution."
	# XXX copy documentation.zip to dist directory.

egg: zipdoc
	@echo "Building egg..."
	$(PYTHON) setup.py bdist_egg
	@echo "Done building egg."

upload_to_pypi: zipdoc
	@echo "Uploading to PyPi..."
	$(PYTHON) setup.py sdist --formats=zip,gztar upload

trailing-spaces:
	find . -name "*[.py|.rst]" -type f | xargs perl -pi -e 's/[ \t]*$$//'
	@echo "Reverting test_docparse"
	git checkout nipype/utils/tests/test_docparse.py

clean-pyc:
	find . -name "*.pyc" | xargs rm -f
	find . -name "__pycache__" -type d | xargs rm -rf

clean-so:
	find . -name "*.so" | xargs rm -f
	find . -name "*.pyd" | xargs rm -f

clean-build:
	rm -rf build

clean-ctags:
	rm -f tags

clean-doc:
	rm -rf doc/_build

clean-tests:
	rm -f .coverage

clean: clean-build clean-pyc clean-so clean-ctags clean-doc clean-tests

in: inplace # just a shortcut
inplace:
	$(PYTHON) setup.py build_ext -i

test-code: in
	$(PYTHON) -m pytest --doctest-modules nipype

test-coverage: clean-tests in
	$(PYTHON) -m pytest --doctest-modules --cov-config .coveragerc --cov=nipype nipype

test: tests # just another name
tests: clean test-code

html:
	@echo "building docs"
	make -C doc clean htmlonly

specs:
	@echo "Checking specs and autogenerating spec tests"
	env PYTHONPATH=".:$(PYTHONPATH)" $(PYTHON) tools/checkspecs.py

check: check-before-commit # just a shortcut
check-before-commit: specs trailing-spaces html test
	@echo "removed spaces"
	@echo "built docs"
	@echo "ran test"
	@echo "generated spec tests"

gen-base-dockerfile:
	@echo "Generating base Dockerfile"
	bash docker/generate_dockerfiles.sh -b

gen-main-dockerfile:
	@echo "Generating main Dockerfile"
	bash docker/generate_dockerfiles.sh -m

gen-dockerfiles: gen-base-dockerfile gen-main-dockerfile

=== requirements.txt ===
# Auto-generated by tools/update_requirements.py
click>=6.6.0
networkx>=2.0
nibabel>=2.1.0
numpy>=1.17
packaging
prov>=1.5.2
pydot>=1.2.3
python-dateutil>=2.2
rdflib>=5.0.0
scipy>=0.14
simplejson>=3.8.0
traits>=4.6,<6.4,!=5.0
filelock>=3.0.0
etelemetry>=0.2.0
looseversion

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html htmlonly latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      make the HTML documentation"
	@echo "  latex     make the LaTeX, you can set PAPER=a4 or PAPER=letter"
	@echo "  pdf		make <latex> and run the PDF generation"
	@echo "  changes   make an overview of all changed/added/deprecated" \
	      		"items (ChangeLog)"
	@echo "  linkcheck check all external links for integrity"
	@echo "  doctest   run all doctests embedded in the documentation"

clean:
	-rm -rf _build/* *~ api/generated interfaces/generated users/examples documentation.zip _static/python

htmlonly:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

html: clean htmlonly
	@echo "Build HTML and API finished."

latex: clean
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."
pdf: latex
	cd _build/latex && make all-pdf

all: html pdf

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in _build/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) _build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in _build/doctest/output.txt."

gitwash-update:
	python -u ../tools/gitwash_dumper.py devel nipype \
            --repo-name=nipype \
            --github-user=nipy \
            --project-url=http://nipy.org/nipype \
            --project-ml-url=http://mail.scipy.org/mailman/listinfo/nipy-devel
	@echo "gitwash updated"

=== debian/changelog ===
nipype (1.9.2-4) unstable; urgency=medium

  * Team Upload
  * Use the new python3-acres instead of a vendored copy
  * Upload to unstable

 -- Alexandre Detiste <tchet@debian.org>  Sat, 26 Jul 2025 14:55:09 +0200

nipype (1.9.2-3) experimental; urgency=medium

  * Team Upload

  [ Dmitry Shachnev ]
  * Add a patch to make apidoc extension work with Sphinx 8.2.1.

 -- Alexandre Detiste <tchet@debian.org>  Sun, 18 May 2025 18:39:28 +0200

nipype (1.9.2-2) unstable; urgency=medium

  * Team Upload
  * Reformat with debputy
  * Trim autopkgtest dependencies, avoid @builddeps@

 -- Alexandre Detiste <tchet@debian.org>  Fri, 21 Feb 2025 21:41:05 +0100

nipype (1.9.2-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 1.9.2 (Closes: #1095029)
  * Refresh patch

 -- Alexandre Detiste <tchet@debian.org>  Sat, 08 Feb 2025 22:11:53 +0100

=== debian/control ===
Source: nipype
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
           Michael Hanke <michael.hanke@gmail.com>,
           Étienne Mollier <emollier@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-setuptools,
               python3-acres,
               python3-all,
               python3-sphinx,
               python3-sphinxcontrib.apidoc,
               python3-dateutil,
               python3-numpydoc,
               python3-packaging,
               python3-pandas <!nocheck>,
               python3-pytest <!nocheck>,
               python3-pytest-xdist <!nocheck>,
               python3-puremagic <!nocheck>,
               python3-pydot,
               python3-pydotplus,
               python3-click,
               python3-etelemetry,
               python3-filelock,
               python3-looseversion,
               python3-matplotlib,
               python3-nbsphinx,
               python3-nibabel,
               python3-nitime,
               python3-nipy,
               python3-simplejson,
               python3-scipy,
               python3-sympy,
               python3-traits,
               python3-networkx,
               python3-psutil,
               python3-prov,
               graphviz,
               ipython3,
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/med-team/nipype
Vcs-Git: https://salsa.debian.org/med-team/nipype.git
Homepage: https://nipype.readthedocs.io/en/latest/
Rules-Requires-Root: no

Package: python3-nipype
Architecture: all
Section: python
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python3-acres,
         python3-click,
         python3-dateutil,
         python3-dipy,
         python3-looseversion,
         python3-packaging,
         python3-scipy,
         python3-simplejson,
         python3-traits,
         python3-nibabel,
         python3-networkx,
         python3-etelemetry,
         python3-prov,
         python3-psutil
Recommends: ipython3,
            python3-pytest,
            graphviz,
            python3-xvfbwrapper,
            mayavi2,
            python3-pydotplus,
            python3-pydot,
            python3-cfflib
Suggests: afni,
          python3-nipy,
          slicer,
          matlab-spm8,
          python3-pyxnat,
          mne-python,
          elastix,
          ants,
          python3-pytest-xdist,
          python3-bids
Provides: ${python3:Provides}
Description: Neuroimaging data analysis pipelines in Python3
 Nipype interfaces Python to other neuroimaging packages and creates
 an API for specifying a full analysis pipeline in Python.  Currently,
 it has interfaces for SPM, FSL, AFNI, Freesurfer, but could be
 extended for other packages (such as lipsia).

Package: python-nipype-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         libjs-jquery,
         libjs-underscore
Suggests: python3-nipype
Description: Neuroimaging data analysis pipelines in Python3 -- documentation
 Nipype interfaces Python to other neuroimaging packages and creates
 an API for specifying a full analysis pipeline in Python.  Currently,
 it has interfaces for SPM, FSL, AFNI, Freesurfer, but could be
 extended for other packages (such as lipsia).
 .
 This package contains Nipype examples and documentation in various formats.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

export PYBUILD_NAME=nipype
export HOME=$(CURDIR)/build

PY3VERS = $(shell py3versions -vr)
PY3VER = $(shell py3versions -vd)

IPYTHONVER := $(shell ipython3 -V || echo 0) # recent only needed for sphinxext
IPYTHONPATH := $(shell dpkg --compare-versions $(IPYTHONVER) lt 1 \
				 && echo ":/usr/lib/python$(PY3VER)/dist-packages/IPython1X" || echo '')

# just to prevent useless complaints
export FSLOUTPUTTYPE=NIFTI_GZ

# Disable etelemtry
export NIPYPE_NO_ET=1
export NO_ET=1

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_build:
	mkdir -p build
	echo "backend : Agg" >| build/matplotlibrc
	/bin/ls doc/changelog/*changelog | tac | xargs cat >| debian/nipype.changelog
	dh_auto_build
	#
	# Documentation
	#
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	: # TODO: We need to set matplotlib backend to Agg before building...
	export PYTHONPATH=$$PWD$(IPYTHONPATH) MPLCONFIGDIR=$(CURDIR)/build; cd doc; LC_ALL=C.UTF-8 $(MAKE) html
endif

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	export PYTHONPATH=$(shell pybuild --print build_dir --interpreter python3); \
	cd build && \
         MPLCONFIGDIR=$(CURDIR)/build LC_ALL=C.UTF-8 py.test-3 -v --doctest-modules -k "not nipype.interfaces.io.BIDSDataGrabber" ../nipype
    # test_mesh_ops needs X for bloody tvtk.api, and then fails anyways with current mayavi2/tvtk:
    # https://github.com/nipy/nipype/issues/1218, so skipping it for now
endif
	: # no executable spreadsheets
	find debian -iname *csv -print0 | xargs -r -0 chmod a-x

# use jquery from Debian package
# symlinked by debhelper
override_dh_installdocs:
	-rm doc/_build/html/_static/jquery.js
	-rm doc/_build/html/_static/underscore.js
	dh_installdocs

# immediately useable documentation
# and exemplar data (they are small excerpts anyways)
override_dh_compress:
	dh_compress \
		    --exclude .py \
		    --exclude .pdf \
		    --exclude .html \
		    --exclude .css \
		    --exclude .jpg \
		    --exclude .txt \
		    --exclude .js \
		    --exclude .json \
		    --exclude .rtc \
		    --exclude .par \
		    --exclude .bin

override_dh_clean:
	rm -rf build pypeline.log debian/nipype.changelog
	$(MAKE) -C doc clean
	dh_clean

=== debian/watch ===
version=4

opts="filenamemangle=s/.*\/(.*)/nipype-$1/,uversionmangle=s/rc/~rc/g" \
 https://github.com/nipy/nipype/tags .*/(\d[\d\.a-z]+)\.tar\.gz

## nipype 1.10.0

=== debian/changelog ===
nipype (1.10.0-1) unstable; urgency=medium

  [ Alexandre Detiste ]
  * replace old py.test-3 symlink with canonical program

  [ Étienne Mollier ]
  * New upstream version 1.10.0
  * d/copyright: document n/u/gpu_count.py.
  * sphinx_8.2.1.patch: delete: applied upstream.
  * d/control: remove dependency on python-etelemetry.
    The module is mostly unusable due to #1108781: rig.mit.edu stopped
    serving data.  Nipype looks to operate just fine without etelemetry.
  * d/control: drop redundant Rules-Requires-Root: no.
  * d/control: declare compliance to standards version 4.7.2.
  * d/watch: convert to v5 Github template.
  * d/control: drop dependency on python3-cfflib. (Closes: #1116270)
  * stabilize-makefiles.patch: new.
    This patch stabilises makefile targets when they are executed in an
    unexpected order. (Closes: #1105501)

 -- Étienne Mollier <emollier@debian.org>  Sat, 20 Dec 2025 11:58:02 +0100

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,6 @@
                python3-pydot,
                python3-pydotplus,
                python3-click,
-               python3-etelemetry,
                python3-filelock,
                python3-looseversion,
                python3-matplotlib,
@@ -40,11 +39,10 @@
                python3-prov,
                graphviz,
                ipython3,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/nipype
 Vcs-Git: https://salsa.debian.org/med-team/nipype.git
 Homepage: https://nipype.readthedocs.io/en/latest/
-Rules-Requires-Root: no
 
 Package: python3-nipype
 Architecture: all
@@ -63,7 +61,6 @@
          python3-traits,
          python3-nibabel,
          python3-networkx,
-         python3-etelemetry,
          python3-prov,
          python3-psutil
 Recommends: ipython3,
@@ -72,8 +69,7 @@
             python3-xvfbwrapper,
             mayavi2,
             python3-pydotplus,
-            python3-pydot,
-            python3-cfflib
+            python3-pydot
 Suggests: afni,
           python3-nipy,
           slicer,

=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,7 @@
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	export PYTHONPATH=$(shell pybuild --print build_dir --interpreter python3); \
 	cd build && \
-         MPLCONFIGDIR=$(CURDIR)/build LC_ALL=C.UTF-8 py.test-3 -v --doctest-modules -k "not nipype.interfaces.io.BIDSDataGrabber" ../nipype
+         MPLCONFIGDIR=$(CURDIR)/build LC_ALL=C.UTF-8 pytest -v --doctest-modules -k "not nipype.interfaces.io.BIDSDataGrabber" ../nipype
     # test_mesh_ops needs X for bloody tvtk.api, and then fails anyways with current mayavi2/tvtk:
     # https://github.com/nipy/nipype/issues/1218, so skipping it for now
 endif

=== debian/watch ===
Version: 5

Template: Github
Owner: nipy
Project: nipype
